Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.actions
Class ActionGroup

    java.lang.Object
      org.eclipse.ui.actions.ActionGroup

Direct Known Subclasses:
  EncodingActionGroup, ResourceNavigatorActionGroup, SynchronizePageActionGroup, WorkingSetFilterActionGroup

public abstract class ActionGroup
extends Object

An `ActionGroup` represents a group of actions which are added to a context menu, or the action bars of a part, together. The group is given a context which can be used to determine which actions are added, and what their enabled state should be.

This class is intended only as a convenience for managing groups of actions. Clients are not required to use this class in order to add actions to context menus or action bars.

Clients should subclass this class and extend or override the appropriate fill methods.

Since:
  2.0

Constructor Summary
`ActionGroup()`

Method Summary
`void` | `dispose()` This method is called by the user of an action group to signal that the group is no longer needed.
`void` | `fillActionBars(IActionBars actionBars)` Adds the applicable actions to a part's action bars, including setting any global action handlers.
`void` | `fillContextMenu(IMenuManager menu)` Adds the applicable actions to a context menu, based on the state of the `ActionContext`.
`ActionContext` | `getContext()` Returns the context used to determine which actions are added, and what their enabled state should be.
`void` | `setContext(ActionContext context)` Sets the context used to determine which actions are added, and what their enabled state should be.
`void` | `updateActionBars()` Updates the state of the actions added to the action bars, including any global action handlers, based on the state of the `ActionContext`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionGroup

    public ActionGroup()

Method Detail

### getContext

    public ActionContext getContext()

  Returns the context used to determine which actions are added, and what their enabled state should be.

### setContext

    public void setContext(ActionContext context)

  Sets the context used to determine which actions are added, and what their enabled state should be.

  Parameters:
    `context` - the context to use

### fillContextMenu

    public void fillContextMenu(IMenuManager menu)

  Adds the applicable actions to a context menu, based on the state of the `ActionContext`.

  The default implementation does nothing. Subclasses may override or extend this method.

  Parameters:
    `menu` - the context menu manager

### fillActionBars

    public void fillActionBars(IActionBars actionBars)

  Adds the applicable actions to a part's action bars, including setting any global action handlers.

  The default implementation does nothing. Subclasses may override or extend this method.

  Parameters:
    `actionBars` - the part's action bars

### updateActionBars

    public void updateActionBars()

  Updates the state of the actions added to the action bars, including any global action handlers, based on the state of the `ActionContext`.

  The default implementation does nothing. Subclasses may override or extend this method.

### dispose

    public void dispose()

  This method is called by the user of an action group to signal that the group is no longer needed. Subclasses typically implement this method to deregister any listeners or to free other resources.

  The default implementation calls `setContext(null)`. Subclasses may extend this method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.